Bug 184079 - %doc entries in spec files shouldn't be subject to find-requires
%doc entries in spec files shouldn't be subject to find-requires
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 18:20 EST by Gabriel Somlo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 11:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2006-03-05 18:20:20 EST
Description of problem:

executable files, perl modules, etc. are checked for  dependencies by
find-requires, even when they are marked as %doc in the %files section of
a .spec file

Version-Release number of selected component (if applicable):

rpm-build-4.4.1-22 on FC4, but I guess any version of rpmbuild

How reproducible:

in %files section of a .spec file, include an executable or a .pm perl module
and mark it as %doc.

Actual results:

When built, the resulting package will depend on anything
required by said file

Expected results:

Files marked as %doc should be there for informational purposes only, and
should not cause extra dependencies for the  package.

Additional info:

Currently, 'chmod a-x' is a valid workaround for simple binaries and scripts,
but e.g.,  perl modules (.pm) are checked based on their file extension
regardless of the execute bit.
Comment 1 Jeff Johnson 2006-03-06 11:03:44 EST
Not true. Any file with the execute bit set is a candidate for dependency extraction
indpendent of path.

Turn off the execute bit, and rpm will not extract dependencies.
Comment 2 Gabriel Somlo 2006-03-06 11:27:05 EST
> Turn off the execute bit, and rpm will not extract dependencies.

except, of course, things like perl modules (which are checked for deps
based on their ending with '.pm', regardless of their execute bit).

I was hoping for a one-stop measure of specifying 'don't check these for
dependencies', and just turning execute off ain't it :( You have the ugly hacks
trying to rename files, modifying __perl_requires, etc.

Something like '%doc(nodeps) foo bar' maybe :)

Anyway, thanks for looking into it.

Note You need to log in before you can comment on or make changes to this bug.